| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiAlg::Print3D Class Reference

collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...

`#include <GaudiAlg/Print.h>`

## Static Public Member Functions
static void | print (MsgStream &stream, const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)
static std::string | toString (const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)

## Detailed Description

collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool)

See also
  AIDA::IHistogram3D

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 107 of file Print.h.

## Member Function Documentation

void GaudiAlg::Print3D::print | ( | MsgStream & | stream,
|  | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 101 of file Print.cpp.

104 { stream << toString ( aida , ID ) << endmsg ; }
GaudiAlg::Print3D::toString
static std::string toString(const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)
Definition: Print.cpp:107
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

std::string GaudiAlg::Print3D::toString | ( | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 107 of file Print.cpp.

109 {
110 boost::format fmt
111 ( " ID=%|-25|%|30t| \"%|.45s|\" %|79t| Ents/All=%|5|/%|-5|<X>/sX=%|.5|/%|-.5|,<Y>/sY=%|.5|/%|-.5|,<Z>/sZ=%|.5|/%|-.5|" ) ;
112 fmt % ID.idAsString() % aida->title();
113 fmt % (aida->allEntries()-aida->extraEntries()) % aida->allEntries() ;
114 fmt % aida->meanX() % aida->rmsX() ;
115 fmt % aida->meanY() % aida->rmsY() ;
116 fmt % aida->meanZ() % aida->rmsZ() ;
117 //
118 return fmt.str() ;
119 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:119
GaudiAlg::ID::idAsString
GAUDI_API LiteralID idAsString() const
Return ID as string, for both numeric and literal IDs.
Definition: GaudiHistoID.cpp:47

The documentation for this class was generated from the following files:

- GaudiAlg/GaudiAlg/Print.h
- GaudiAlg/src/lib/Print.cpp